Notebook[{
 Cell[
  BoxData[{
   RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}],
   RowBox[{"LoadNETAssembly", "[", RowBox[{"\"\<Tinkerforge\>\"", ",", RowBox[{RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], "]"}]
  }], "Input"
 ],
 Cell[
  BoxData[{
   RowBox[{"host", "=", "\"\<localhost\>\""}],
   RowBox[{"port", "=", "4223"}],
   RowBox[{"uid", "=", "\"\<XXYYZZ\>\"", RowBox[{"(*", "Change XXYYZZ to the UID of your Stepper Brick", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Create IPConnection and device object", "*)"}],
   RowBox[{"ipcon", "=", RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}],
   RowBox[{"stepper", "=", RowBox[{"NETNew", "[", RowBox[{"\"\<Tinkerforge.BrickStepper\>\"", ",", "uid", ",", "ipcon"}], "]"}]}],
   RowBox[{"ipcon", "@", RowBox[{"Connect", "[", RowBox[{"host", ",", "port"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Use position reached callback to program random movement", "*)"}],
   RowBox[{RowBox[{"PositionReachedCB", "[", RowBox[{"sender_", ",", "position_"}], "]"}], ":=", "\[IndentingNewLine]", RowBox[{"Module", "[", RowBox[{RowBox[{"{", "}"}], ",", RowBox[{"\[IndentingNewLine]", RowBox[{"If", "[", RowBox[{RowBox[{"EvenQ", "[", RowBox[{"RandomInteger", "[", "]"}], "]"}], ",", RowBox[{"\[IndentingNewLine]", "steps", ":=", RowBox[{"RandomInteger", "[", RowBox[{"{", RowBox[{"1000", ",", "5000"}], "}"}], "]"}], ";", RowBox[{"(*", "steps (forward)", "*)"}], "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Driving forward: \>\"", "<>", RowBox[{"ToString", "[", "steps", "]"}], "<>", "\"\< steps\>\""}], "]"}]}], ",", RowBox[{"\[IndentingNewLine]", "steps", ":=", RowBox[{"RandomInteger", "[", RowBox[{"{", RowBox[{RowBox[{"-", "5000"}], ",", RowBox[{"-", "1000"}]}], "}"}], "]"}], ";", RowBox[{"(*", "steps (backward)", "*)"}], "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Driving backward: \>\"", "<>", RowBox[{"ToString", "[", "steps", "]"}], "<>", "\"\< steps\>\""}], "]"}], "\[IndentingNewLine]"}]}], "]"}], ";", "\n", "\[IndentingNewLine]", "vel", "=", RowBox[{"RandomInteger", "[", RowBox[{"{", RowBox[{"200", ",", "2000"}], "}"}], "]"}], ";", RowBox[{"(*", "steps/s", "*)"}], "\[IndentingNewLine]", "acc", "=", RowBox[{"RandomInteger", "[", RowBox[{"{", RowBox[{"100", ",", "1000"}], "}"}], "]"}], ";", RowBox[{"(*", "steps/s^2", "*)"}], "\[IndentingNewLine]", "dec", "=", RowBox[{"RandomInteger", "[", RowBox[{"{", RowBox[{"100", ",", "1000"}], "}"}], "]"}], ";", RowBox[{"(*", "steps/s^2", "*)"}], "\n", "\[IndentingNewLine]", RowBox[{"Print", "[", RowBox[{"\"\<Configuration (vel, acc, dec): (\>\"", "<>", "\[IndentingNewLine]", RowBox[{"ToString", "[", "vel", "]"}], "<>", "\"\<, \>\"", "<>", RowBox[{"ToString", "[", "acc", "]"}], "<>", "\"\<, \>\"", "<>", RowBox[{"ToString", "[", "dec", "]"}], "<>", "\"\<)\>\""}], "]"}], ";", "\n", "\[IndentingNewLine]", "sender", "@", RowBox[{"SetSpeedRamping", "[", RowBox[{"acc", ",", "dec"}], "]"}], ";", "\[IndentingNewLine]", "sender", "@", RowBox[{"SetMaxVelocity", "[", "vel", "]"}], ";", "\[IndentingNewLine]", "sender", "@", RowBox[{"SetSteps", "[", "steps", "]"}], "\[IndentingNewLine]"}]}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"AddEventHandler", "[", RowBox[{RowBox[{"stepper", "@", "PositionReachedCallback"}], ",", "PositionReachedCB"}], "]"}],
   RowBox[{"
"}],
   RowBox[{"stepper", "@", RowBox[{"Enable", "[", "]"}], RowBox[{"(*", "Enable motor power", "*)"}]}],
   RowBox[{"stepper", "@", RowBox[{"SetSteps", "[", "1", "]"}], RowBox[{"(*", "Drive one step forward to get things going", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"Input", "[", "\"\<Click OK to exit\>\"", "]"}],
   RowBox[{"
"}],
   RowBox[{"(*", "Stop motor before disabling motor power", "*)"}],
   RowBox[{"stepper", "@", RowBox[{"Stop", "[", "]"}], RowBox[{"(*", "Request motor stop", "*)"}]}],
   RowBox[{"stepper", "@", RowBox[{"SetSpeedRamping", "[", RowBox[{"500", ",", "5000"}], "]"}], RowBox[{"(*", "Fast deacceleration (5000 steps/s^2) for stopping", "*)"}]}],
   RowBox[{RowBox[{"Pause", "[", "0.4", "]"}], RowBox[{"(*", "Wait for motor to actually stop: max velocity (2000 steps/s) / decceleration (5000 steps/s^2) = 0.4 s", "*)"}]}],
   RowBox[{"stepper", "@", RowBox[{"Disable", "[", "]"}], RowBox[{"(*", "Disable motor power", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"ipcon", "@", RowBox[{"Disconnect", "[", "]"}]}],
   RowBox[{"ReleaseNETObject", "[", "stepper", "]"}],
   RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]
  }], "Input"
 ]
}]
