Notebook[{
 Cell[
  BoxData[{
   RowBox[{"Needs", "[", "\"\<NETLink`\>\"", "]"}],
   RowBox[{"LoadNETAssembly", "[", RowBox[{"\"\<Tinkerforge\>\"", ",", RowBox[{RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\<../../..\>\""}]}], "]"}]
  }], "Input"
 ],
 Cell[
  BoxData[{
   RowBox[{"host", "=", "\"\<localhost\>\""}],
   RowBox[{"port", "=", "4223"}],
   RowBox[{"uid", "=", "\"\<XYZ\>\"", RowBox[{"(*", "Change XYZ to the UID of your LCD 128x64 Bricklet", "*)"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Create IPConnection and device object", "*)"}],
   RowBox[{"ipcon", "=", RowBox[{"NETNew", "[", "\"\<Tinkerforge.IPConnection\>\"", "]"}]}],
   RowBox[{"lcd", "=", RowBox[{"NETNew", "[", RowBox[{"\"\<Tinkerforge.BrickletLCD128x64\>\"", ",", "uid", ",", "ipcon"}], "]"}]}],
   RowBox[{"ipcon", "@", RowBox[{"Connect", "[", RowBox[{"host", ",", "port"}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Clear display", "*)"}],
   RowBox[{"lcd", "@", RowBox[{"ClearDisplay", "[", "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Write ", "\"\<Hello World\>\"", " with big 24x32 font", "*)"}],
   RowBox[{"lcd", "@", RowBox[{"DrawText", "[", RowBox[{"0", ",", "0", ",", "Tinkerforge`BrickletLCD128x64`FONTU24X32", ",", RowBox[{"\[IndentingNewLine]", "Tinkerforge`BrickletLCD128x64`COLORUBLACK"}], ",", "\"\<24x32\>\""}], "]"}]}],
   RowBox[{"
"}],
   RowBox[{"(*", "Clean up", "*)"}],
   RowBox[{"ipcon", "@", RowBox[{"Disconnect", "[", "]"}]}],
   RowBox[{"ReleaseNETObject", "[", "lcd", "]"}],
   RowBox[{"ReleaseNETObject", "[", "ipcon", "]"}]
  }], "Input"
 ]
}]
